Bug 180473 - www/seamonkey 2.19 does not start
www/seamonkey 2.19 does not start
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gecko
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 17:50 UTC by rotkap
Modified: 2013-08-17 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rotkap 2013-07-11 17:50:01 UTC
After update to www/seamonkey-2.19 i got this

> seamonkey 
XPCOMGlueLoad error for file /usr/local/lib/seamonkey/libprldap60.so:
/usr/local/lib/seamonkey/libprldap60.so: Undefined symbol "PR_GetCurrentThread"
Couldn't load XPCOM.

How-To-Repeat: just start seamonkey
Comment 1 Edwin Groothuis freebsd_committer 2013-07-13 22:52:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gecko

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 flo 2013-08-11 18:12:00 UTC
Can you retest with 2.20 please. Are you still running the same version
of 9.1-STABLE?

Thanks,
Florian
Comment 3 rotkap 2013-08-13 08:47:08 UTC
Florian Smeets <flo@smeets.im> wrote:

> Can you retest with 2.20 please. Are you still running the same version
> of 9.1-STABLE?

Yes, still 9.1-STABLE

In 2.20 it is the same:


XPCOMGlueLoad error for file /usr/local/lib/seamonkey/libprldap60.so:
/usr/local/lib/seamonkey/libprldap60.so: Undefined symbol "PR_GetCurrentThread"
Couldn't load XPCOM.


It depends on the LDAP Flag. Whithout LDAP it works fine


Heino
Comment 4 dfilter freebsd_committer 2013-08-17 11:43:34 UTC
Author: flo
Date: Sat Aug 17 10:43:22 2013
New Revision: 324838
URL: http://svnweb.freebsd.org/changeset/ports/324838

Log:
  Add a work around for crashes on i386.
  
  PR:		ports/180473
  Submitted by:	Jan Beich <jbeich@tormail.org>
  Reported by:	Heino Tiedemann <rotkap@gmx.de>

Modified:
  head/www/seamonkey/Makefile

Modified: head/www/seamonkey/Makefile
==============================================================================
--- head/www/seamonkey/Makefile	Sat Aug 17 08:49:49 2013	(r324837)
+++ head/www/seamonkey/Makefile	Sat Aug 17 10:43:22 2013	(r324838)
@@ -3,6 +3,7 @@
 
 PORTNAME=	seamonkey
 DISTVERSION=	2.20
+PORTREVISION=	1
 CATEGORIES?=	www ipv6
 MASTER_SITES=	MOZILLA/${PORTNAME}/releases/${DISTVERSION}/source
 DISTFILES=	${PORTNAME}-${DISTVERSION}.source${EXTRACT_SUFX}
@@ -82,6 +83,9 @@ MOZ_OPTIONS+=	--disable-ldap --disable-m
 .if ! ${PORT_OPTIONS:MLDAP}
 MOZ_OPTIONS+=	--disable-ldap --enable-mailnews
 .else
+. if ${ARCH} == i386
+USE_GCC?=	yes
+. endif
 MOZ_OPTIONS+=	--enable-ldap --enable-mailnews
 .endif
 .if ${PORT_OPTIONS:MENIGMAIL}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Florian Smeets freebsd_committer 2013-08-17 11:43:55 UTC
State Changed
From-To: open->closed

Should be fixed. Thanks for the report.
Comment 6 dfilter freebsd_committer 2013-08-17 13:09:16 UTC
Author: flo
Date: Sat Aug 17 12:09:08 2013
New Revision: 324840
URL: http://svnweb.freebsd.org/changeset/ports/324840

Log:
  MFH r324838:
  
  Add a workaround for crashes on i386.
  
  PR:             ports/180473
  Submitted by:   Jan Beich <jbeich@tormail.org>
  Reported by:    Heino Tiedemann <rotkap@gmx.de>
  Approved by:	portmgr (bdrewery)

Modified:
  branches/RELENG_9_2_0/www/seamonkey/Makefile
Directory Properties:
  branches/RELENG_9_2_0/   (props changed)

Modified: branches/RELENG_9_2_0/www/seamonkey/Makefile
==============================================================================
--- branches/RELENG_9_2_0/www/seamonkey/Makefile	Sat Aug 17 10:57:29 2013	(r324839)
+++ branches/RELENG_9_2_0/www/seamonkey/Makefile	Sat Aug 17 12:09:08 2013	(r324840)
@@ -3,6 +3,7 @@
 
 PORTNAME=	seamonkey
 DISTVERSION=	2.20
+PORTREVISION=	1
 CATEGORIES?=	www ipv6
 MASTER_SITES=	MOZILLA/${PORTNAME}/releases/${DISTVERSION}/source
 DISTFILES=	${PORTNAME}-${DISTVERSION}.source${EXTRACT_SUFX}
@@ -83,6 +84,9 @@ MOZ_OPTIONS+=	--disable-ldap --disable-m
 .if ! ${PORT_OPTIONS:MLDAP}
 MOZ_OPTIONS+=	--disable-ldap --enable-mailnews
 .else
+. if ${ARCH} == i386
+USE_GCC?=	yes
+. endif
 MOZ_OPTIONS+=	--enable-ldap --enable-mailnews
 .endif
 .if ${PORT_OPTIONS:MENIGMAIL}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"